﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1154: (1 year) VER VISA /5500A+SC300
DATE:                  2018-09-30 22:46:51
AUTHOR:                Fluke
REVISION:              $Revision: 25072 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       201
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         40MH                         1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  DISP         Ensure a minimum DUT warm-up time of at least
  1.012  DISP         10 minutes has been allowed to elapse, prior
  1.012  DISP         to beginning verification.

  1.013  HEAD         COMMUNICATION SETUP
  1.014  TARGET
  1.015  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.016  VISA         *RST

  1.017  HEAD         DUT IDENTIFICATION
  1.018  CALL         Sub IEEE-488.2 *IDN? VISA
  1.019  MATH         @DUT_Model = "TBS 1154"
  1.020  MATH         @DUT_Manufacturer = "Tektronix"
  1.021  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.022  JMPL         END                          @Abort

  1.023  CALL         Sub Tek TBS1000 Specifications

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         -z Do you want to review the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1
  1.027  CALL         Sub Tek TBS1000 VER Required Equipment /5500
  1.028  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.029  CALL         Sub Tek TBS1000 Self-Test VISA
  1.030  JMPL         END                          @Abort
  1.031  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.032  JMPL         END                          @Abort

  1.033  MATH         @Chan = 1
  1.034  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5500+SC
  1.035  JMPL         VERTICAL_POSITION_CH1

  1.036  LABEL        DCV_CH2
  1.037  MATH         @Chan = 2
  1.038  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5500+SC
  1.039  JMPL         VERTICAL_POSITION_CH2

  1.040  LABEL        DCV_CH3
  1.041  MATH         @Chan = 3
  1.042  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5500+SC
  1.043  JMPL         VERTICAL_POSITION_CH3

  1.044  LABEL        DCV_CH4
  1.045  MATH         @Chan = 4
  1.046  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /5500+SC
  1.047  JMPL         VERTICAL_POSITION_CH4

  1.048  LABEL        BANDWIDTH_CH1
  1.049  MATH         @Chan = 1
  1.050  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5500+SC
  1.051  JMPL         TRIG_CH1

  1.052  LABEL        BANDWIDTH_CH2
  1.053  MATH         @Chan = 2
  1.054  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5500+SC
  1.055  JMPL         TRIG_CH2

  1.056  LABEL        BANDWIDTH_CH3
  1.057  MATH         @Chan = 3
  1.058  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5500+SC
  1.059  JMPL         TRIG_CH3

  1.060  LABEL        BANDWIDTH_CH4
  1.061  MATH         @Chan = 4
  1.062  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /5500+SC
  1.063  JMPL         TRIG_CH4

  1.064  LABEL        TRIG_CH1
  1.065  MATH         @Chan = 1
  1.066  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5500+SC
  1.067  JMPL         SAMPLE_RATE_DELAY_TIME

  1.068  LABEL        TRIG_CH2
  1.069  MATH         @Chan = 2
  1.070  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5500+SC
  1.071  JMPL         BANDWIDTH_CH3

  1.072  LABEL        TRIG_CH3
  1.073  MATH         @Chan = 3
  1.074  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5500+SC
  1.075  JMPL         BANDWIDTH_CH4

  1.076  LABEL        TRIG_CH4
  1.077  MATH         @Chan = 4
  1.078  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /5500+SC

  1.079  MATH         @Chan = 1
  1.080  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5500+SC

  1.081  MATH         @Chan = 2
  1.082  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5500+SC

  1.083  MATH         @Chan = 3
  1.084  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5500+SC

  1.085  MATH         @Chan = 4
  1.086  CALL         Sub Tek TBS1000 (1 yr) ExTrig Sens VISA /5500+SC
  1.087  JMPL         END

  1.088  LABEL        SAMPLE_RATE_DELAY_TIME
  1.089  MATH         @Chan = 1
  1.090  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /5500+SC
  1.091  JMPL         BANDWIDTH_CH2

  1.092  LABEL        VERTICAL_POSITION_CH1
  1.093  MATH         @Chan = 1
  1.094  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /5500+SC
  1.095  JMPL         DCV_CH2

  1.096  LABEL        VERTICAL_POSITION_CH2
  1.097  MATH         @Chan = 2
  1.098  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /5500+SC
  1.099  JMPL         DCV_CH3

  1.100  LABEL        VERTICAL_POSITION_CH3
  1.101  MATH         @Chan = 3
  1.102  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /5500+SC
  1.103  JMPL         DCV_CH4

  1.104  LABEL        VERTICAL_POSITION_CH4
  1.105  MATH         @Chan = 4
  1.106  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /5500+SC
  1.107  JMPL         BANDWIDTH_CH1

  1.108  LABEL        END

  1.109  IF           @Abort
  1.110  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.111  ENDIF

  1.112  VISA         *RST
  1.113  END
